Edumatix Lightscribe

Tłumaczenie
Opis po angielsku

<title>Lightscribe for Linux</title>
  <description>LaCie LightScribe Labeler for Linux</description>
 <info>
  <![CDATA[
  <p><b>LightScribe Simple Labeler</b> designed and manufactured by <a href="http://www.lightscribe.com">Lightcribe</a> 
  is an intuitive labeling application 
  designed to make your labeling experience faster and more enjoyable. 
  You can express your creativity without being a graphics artist and 
  burn labels in three easy steps.</p><br></br><br></br>

  <li>Put in a LightScribe disc label-side down.</li>

  <li>Enter text in your favorite font and select a border from the free ones provided.</li>

  <li>Preview your label and burn!</li><br></br><br></br>

   When installed, <b>Lightscribe Labeler</b> can be found in Applications --> Accessories <br></br><br></br>
   It can also be run from terminal with the command <i><b>4L-gui</b></i> ]]>

Opis po polsku

Skrypt instalujący
function lacieinstall {
       sleep 1
       dpkg_check
       sleep 1
       rm -f $AXHOME/4l_1.0-1_i386.deb 
       rm -f $AXHOME/4L-1.0-r6.i586.rpm
       rm -f $AXHOME/4l_1.0-1_i386.deb 
       rm -f $AXHOME/lightscribe-1.4.113.1-linux-2.6-intel.rpm
       if ! sudo apt-get --assume-yes install libc6 libfontconfig1 libfreetype6 libgcc1 libstdc++6 libx11-6 libxcursor1 libxext6 libxi6 libxinerama1 libxrandr2 libxrender1 alien
       then
       AX_fatal "An apt-based error occurred and installation was unsuccessful";
       fi
       dir_ch
       if wget http://www.lacie.com/download/drivers/4L-1.0-r6.i586.rpm
       then
           dir_ch
           sudo alien $AXHOME/4L-1.0-r6.i586.rpm
           dir_ch
           sudo dpkg -i $AXHOME/4l_1.0-1_i386.deb
           sudo cp -f /usr/share/edumatix/conf/lightscribe.desktop /usr/share/applications/
           sudo rm -f $AXHOME/4l_1.0-1_i386.deb $AXHOME/4L-1.0-r6.i586.rpm
       else
           AX_fatal "The installation failed because the LightScribe package could not be downloaded";
       fi
       if wget http://www.lacie.com/download/drivers/lightscribe-1.4.136.1-linux-2.6-intel.rpm
       then
           dir_ch
           sudo alien $AXHOME/lightscribe-1.4.136.1-linux-2.6-intel.rpm
           dir_ch
           sudo dpkg -i $AXHOME/lightscribe_1.4.136.1-1_i386.deb
           sudo cp -f /usr/share/edumatix/conf/lightscribe.desktop /usr/share/applications/
           sudo rm -f $AXHOME/lightscribe_1.4.136.1-1_i386.deb $AXHOME/lightscribe-1.4.136.1-linux-2.6-intel.rpm
       else
           AX_fatal "The installation failed because the LightScribe driver package could not be downloaded";
       fi
}

Skrypt usuwający
function lacieremove {
dpkg_check
sleep 1
if ! sudo apt-get --assume-yes remove 4l lightscribe
then
    AX_info "An apt-based error occurred and uninstallation was unsuccessful";
else
    sudo rm -f /usr/share/applications/lightscribe.desktop
fi
}
O ile nie zaznaczono inaczej, treść tej strony objęta jest licencją Creative Commons Attribution-NonCommercial 3.0 License